[lowrisc-dev] Support for Fedora / compressed extension

Luke Kenneth Casson Leighton lkcl at lkcl.net
Sun Apr 1 21:57:12 BST 2018


On Sun, Apr 1, 2018 at 9:48 PM, Alex Bradbury <asb at lowrisc.org> wrote:
> On 1 April 2018 at 21:31, Richard W.M. Jones <rjones at redhat.com> wrote:
>>
>> Hi, I was going to try v0.5 on my Nexys 4 DDR.  However I believe
>> that this version doesn't support the Compressed extension.  I
>> disassembled the sample bbl and there are no short instructions.
>> Is support for the C extension available and/or planned?
>
> Hi Richard,
>
> Thanks for taking a look. You're correct that we're currently based on
> an old version of Rocket which doesn't support the compressed
> extension - upstream refactorings have made it difficult to keep up to
> date. We do intend to support the C extension, though I can't give a
> ETA right now. Sadly this means we can't (for now) directly consume
> the awesome work you and your colleagues have been doing on Fedora
> RISC-V - but look forward to doing so in the not too distant future.

 alex, dr kimmet: i... did try (partly on your behalf) to get across
to the RISC-V Foundation how... deeply unimpressed i was that RV64GC
had been chosen as the default unix standard without *any* kind of
wider consultation, not even with the RISC-V members.

 unfortunately my usual direct, bluntly honest and completely
undiplomatic communications style, which i mirror in real life by
wearing 12 GBP steel toe-capped boots, bought from Douglas Dairy
Supplies in Stranraer, did not go down well.

 sorry.

l.



More information about the lowrisc-dev mailing list